Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface VersionRecord

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  CatalogVersionRecord, LCVersionRecord, ReportVersionRecord, ResultVersionRecord

    public interface VersionRecord

extends java.io.Serializable

Represents a version record. Users can get information about a version from the corresponding version record.

Method Summary
`java.util.Date` | `getCreatedTime()` Gets the created time of this version.
`java.lang.String` | `getCreator()` Gets the creator of this version.
`java.lang.String` | `getRealPath()` Gets the real path of the version file, which may be a real path of a report file or a catalog file.
`java.lang.String` | `getResourcePath()` Returns the resource path.
`java.lang.String` | `getVersionID()` Returns the version ID.
`java.lang.String` | `getVersionName()` Gets the version name of this version.
`int` | `getVersionNumber()` Gets the version number of this version.

Method Detail

### getResourcePath

    java.lang.String getResourcePath()

  Returns the resource path.

  Returns:
    the resource path.

### getVersionID

    java.lang.String getVersionID()

  Returns the version ID.

  Returns:
    the version ID.

### getVersionNumber

    int getVersionNumber()

  Gets the version number of this version.

  Returns:
    the version number

### getVersionName

    java.lang.String getVersionName()

  Gets the version name of this version.

  Returns:
    the version name

### getCreatedTime

    java.util.Date getCreatedTime()

  Gets the created time of this version.

  Returns:
    the created time of this version.

### getCreator

    java.lang.String getCreator()

  Gets the creator of this version.

  Returns:
    the creator of this version

### getRealPath

    java.lang.String getRealPath()

  Gets the real path of the version file, which may be a real path of a report file or a catalog file.

  Returns:
    the real path of the version file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD